curl --request PUT \
--url https://api.netzfabrik.com/dns/zones/{id}/secondary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"masterIpAddresses": [
"198.51.100.10",
"2001:db8:1::10"
],
"tsigKey": {
"name": "example-com-axfr",
"algorithm": "hmac-sha256",
"secret": "c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ=="
},
"removeTsigKey": false
}
'import requests
url = "https://api.netzfabrik.com/dns/zones/{id}/secondary"
payload = {
"masterIpAddresses": ["198.51.100.10", "2001:db8:1::10"],
"tsigKey": {
"name": "example-com-axfr",
"algorithm": "hmac-sha256",
"secret": "c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ=="
},
"removeTsigKey": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
masterIpAddresses: ['198.51.100.10', '2001:db8:1::10'],
tsigKey: {
name: 'example-com-axfr',
algorithm: 'hmac-sha256',
secret: 'c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ=='
},
removeTsigKey: false
})
};
fetch('https://api.netzfabrik.com/dns/zones/{id}/secondary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.netzfabrik.com/dns/zones/{id}/secondary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'masterIpAddresses' => [
'198.51.100.10',
'2001:db8:1::10'
],
'tsigKey' => [
'name' => 'example-com-axfr',
'algorithm' => 'hmac-sha256',
'secret' => 'c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ=='
],
'removeTsigKey' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.netzfabrik.com/dns/zones/{id}/secondary"
payload := strings.NewReader("{\n \"masterIpAddresses\": [\n \"198.51.100.10\",\n \"2001:db8:1::10\"\n ],\n \"tsigKey\": {\n \"name\": \"example-com-axfr\",\n \"algorithm\": \"hmac-sha256\",\n \"secret\": \"c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ==\"\n },\n \"removeTsigKey\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.netzfabrik.com/dns/zones/{id}/secondary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"masterIpAddresses\": [\n \"198.51.100.10\",\n \"2001:db8:1::10\"\n ],\n \"tsigKey\": {\n \"name\": \"example-com-axfr\",\n \"algorithm\": \"hmac-sha256\",\n \"secret\": \"c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ==\"\n },\n \"removeTsigKey\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.netzfabrik.com/dns/zones/{id}/secondary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"masterIpAddresses\": [\n \"198.51.100.10\",\n \"2001:db8:1::10\"\n ],\n \"tsigKey\": {\n \"name\": \"example-com-axfr\",\n \"algorithm\": \"hmac-sha256\",\n \"secret\": \"c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ==\"\n },\n \"removeTsigKey\": false\n}"
response = http.request(request)
puts response.read_body{
"zoneId": "A1B2C3D4E5F6G7H8I9J0",
"zone": "example.com",
"masterIpAddresses": [
"198.51.100.10"
],
"tsigAlgorithm": "hmac-sha256",
"state": "ok",
"stateMessage": "",
"serial": 2026112101,
"lastCheckAt": "2026-11-21T10:00:00+00:00",
"lastTransferAt": "2026-11-21T09:00:00+00:00",
"retrieveRequestedAt": "<string>",
"retrieveAvailableAt": "<string>",
"live": false,
"checkedAt": "<string>",
"records": [
{}
],
"notConvertible": [
{}
],
"axfrSourceIps": [
"192.0.2.53",
"2001:db8::53"
],
"notifyTargetIps": [
"192.0.2.53"
],
"featureEnabled": false,
"actions": {
"retrieve": true,
"update": true,
"convert": true
}
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}{
"status": 422,
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"payload": {}
}
],
"detail": "<string>",
"type": "<string>",
"title": "<string>",
"instance": "<string>"
}Master-Adressen einer Slave-Zone ändern
Setzt die Master-Adressen neu und stößt einen Transfer an. Erlaubt sind nur öffentliche IPv4- und IPv6-Adressen ohne Port.
Wenn TSIG angeboten wird (tsigAvailable in den Einstellungen), kannst du mit tsigKey einen Schlüssel hinterlegen oder ihn mit removeTsigKey: true entfernen.
curl --request PUT \
--url https://api.netzfabrik.com/dns/zones/{id}/secondary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"masterIpAddresses": [
"198.51.100.10",
"2001:db8:1::10"
],
"tsigKey": {
"name": "example-com-axfr",
"algorithm": "hmac-sha256",
"secret": "c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ=="
},
"removeTsigKey": false
}
'import requests
url = "https://api.netzfabrik.com/dns/zones/{id}/secondary"
payload = {
"masterIpAddresses": ["198.51.100.10", "2001:db8:1::10"],
"tsigKey": {
"name": "example-com-axfr",
"algorithm": "hmac-sha256",
"secret": "c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ=="
},
"removeTsigKey": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
masterIpAddresses: ['198.51.100.10', '2001:db8:1::10'],
tsigKey: {
name: 'example-com-axfr',
algorithm: 'hmac-sha256',
secret: 'c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ=='
},
removeTsigKey: false
})
};
fetch('https://api.netzfabrik.com/dns/zones/{id}/secondary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.netzfabrik.com/dns/zones/{id}/secondary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'masterIpAddresses' => [
'198.51.100.10',
'2001:db8:1::10'
],
'tsigKey' => [
'name' => 'example-com-axfr',
'algorithm' => 'hmac-sha256',
'secret' => 'c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ=='
],
'removeTsigKey' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.netzfabrik.com/dns/zones/{id}/secondary"
payload := strings.NewReader("{\n \"masterIpAddresses\": [\n \"198.51.100.10\",\n \"2001:db8:1::10\"\n ],\n \"tsigKey\": {\n \"name\": \"example-com-axfr\",\n \"algorithm\": \"hmac-sha256\",\n \"secret\": \"c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ==\"\n },\n \"removeTsigKey\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.netzfabrik.com/dns/zones/{id}/secondary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"masterIpAddresses\": [\n \"198.51.100.10\",\n \"2001:db8:1::10\"\n ],\n \"tsigKey\": {\n \"name\": \"example-com-axfr\",\n \"algorithm\": \"hmac-sha256\",\n \"secret\": \"c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ==\"\n },\n \"removeTsigKey\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.netzfabrik.com/dns/zones/{id}/secondary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"masterIpAddresses\": [\n \"198.51.100.10\",\n \"2001:db8:1::10\"\n ],\n \"tsigKey\": {\n \"name\": \"example-com-axfr\",\n \"algorithm\": \"hmac-sha256\",\n \"secret\": \"c2VjcmV0LXNlY3JldC1zZWNyZXQtc2VjcmV0IQ==\"\n },\n \"removeTsigKey\": false\n}"
response = http.request(request)
puts response.read_body{
"zoneId": "A1B2C3D4E5F6G7H8I9J0",
"zone": "example.com",
"masterIpAddresses": [
"198.51.100.10"
],
"tsigAlgorithm": "hmac-sha256",
"state": "ok",
"stateMessage": "",
"serial": 2026112101,
"lastCheckAt": "2026-11-21T10:00:00+00:00",
"lastTransferAt": "2026-11-21T09:00:00+00:00",
"retrieveRequestedAt": "<string>",
"retrieveAvailableAt": "<string>",
"live": false,
"checkedAt": "<string>",
"records": [
{}
],
"notConvertible": [
{}
],
"axfrSourceIps": [
"192.0.2.53",
"2001:db8::53"
],
"notifyTargetIps": [
"192.0.2.53"
],
"featureEnabled": false,
"actions": {
"retrieve": true,
"update": true,
"convert": true
}
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}{
"title": "<string>",
"detail": "<string>",
"status": 404,
"instance": "<string>",
"type": "<string>"
}{
"status": 422,
"violations": [
{
"propertyPath": "<string>",
"message": "<string>",
"code": "<string>",
"hint": "<string>",
"payload": {}
}
],
"detail": "<string>",
"type": "<string>",
"title": "<string>",
"instance": "<string>"
}Authorizations
Access-Token aus POST /auth/login (E-Mail und Passwort), gesendet als Authorization: Bearer <token>.
Das Token ist zeitlich begrenzt gültig. Mit dem refresh_token aus derselben Antwort holt POST /auth/token/refresh ein neues Token-Paar, ohne das Passwort erneut zu senden; POST /auth/token/invalidate macht den Refresh-Token beim Abmelden ungültig.
Ist für das Konto ein zweiter Faktor aktiv oder vorgeschrieben, liefert der Login statt des Token-Paars mfaRequired: true bzw. mfaEnrollmentRequired: true und ein kurzlebiges preAuthToken. Mit diesem Token (ebenfalls als Bearer) wird der zweite Faktor über POST /auth/2fa/verify bestätigt; erst danach gibt es das volle Token-Paar.
Headers
Optionaler Kundenkontext. Ohne Header arbeitet die Anfrage im Standard-Kunden des angemeldeten Benutzers. Mit der ID eines anderen Kunden handelt die Anfrage in dessen Kontext: Listen, Lese- und Schreibzugriffe beziehen sich dann auf diesen Kunden.
Erlaubt sind der eigene Kunde, jeder Unterkunde im eigenen Teilbaum (Reseller handelt für seinen Endkunden) sowie Kunden, in denen der Benutzer selbst Mitglied ist. Übergeordnete oder fremde Kunden werden mit 403 Forbidden abgewiesen, eine unbekannte ID ebenfalls.
Die IDs der erreichbaren Kunden liefern GET /user/customers und GET /customers/{id}/children.
"01JD4Q8W3N6Y2K5T7R9V0B1C2D"
Body
The updated Zone resource
Response
Zone resource updated
Was this page helpful?